summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBill Yi <byi@google.com>2021-08-30 22:03:40 +0000
committerPresubmit Automerger Backend <android-build-presubmit-automerger-backend@system.gserviceaccount.com>2021-08-30 22:03:40 +0000
commit15f0db8ce8abc539138bace1690e8e0d50c32c8e (patch)
tree959f5c2f87c4d25cd27a1cdb2c79c9f433bdbd3b
parentdb31e911986c1e6d419d117a2b9e6c2133901c6d (diff)
parent2573c7ce0aecb335557f194be42d9b727b872446 (diff)
downloadcommon-15f0db8ce8abc539138bace1690e8e0d50c32c8e.tar.gz
[automerge] Update fastboot version checking to 3103 to support P21 2p: 2573c7ce0a
Original change: https://googleplex-android-review.googlesource.com/c/device/common/+/15720117 Change-Id: I72f1191f4e59b7689f8d396237d611643d301b1f
-rw-r--r--generate-factory-images-common.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index 55fa170..95f4e35 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@ cat > tmp/$PRODUCT-$VERSION/flash-all.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi
@@ -258,7 +258,7 @@ cat > tmp/$PRODUCT-$VERSION/flash-base.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
exit 1
fi